<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/shape_back_fragment"
        android:orientation="vertical">

        <com.cr.widget.CrNavigationBarWidget
            android:id="@+id/nv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="0"
            app:crTitle="@string/nv_title_ico"
            app:isDismiss="true"
            app:isGotoBack="false" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <!--左侧部分-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:layout_weight="1">
                <ScrollView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">
                        <LinearLayout style="@style/view_tools_line_row">

                            <TextView
                                style="@style/view_tools_line_row_title"
                                android:layout_width="match_parent"
                                android:layout_weight="1"
                                android:text="@string/frag_mark_title_on_draw" />

                            <Switch
                                android:id="@+id/mark_on_draw"
                                style="@style/item_layer_padding"
                                android:thumb="@drawable/switch_thumb"
                                android:track="@drawable/switch_track" />
                        </LinearLayout>

                        <View style="@style/view_split_h2" />

                        <com.cr.widget.CrButtonWidget
                            android:id="@+id/mark_clear"
                            style="@style/view_tools_line_row_button"
                            app:crLeftResource="@string/ico_clear"
                            app:crTitle="@string/frag_mark_title_clear" />

                        <View style="@style/view_split_h2" />

                        <com.cr.widget.CrButtonWidget
                            android:id="@+id/mark_save"
                            style="@style/view_tools_line_row_button"
                            app:crLeftResource="@string/ico_save"
                            app:crTitle="@string/frag_mark_title_save" />

                        <View style="@style/view_split_h2" />

                        <com.cr.widget.CrButtonWidget
                            android:id="@+id/mark_remove"
                            style="@style/view_tools_line_row_button"
                            app:crLeftResource="@string/ico_remove"
                            app:crTitle="@string/frag_mark_title_remove" />

                        <View style="@style/view_split_h2" />

                        <LinearLayout
                            style="@style/view_tools_line_row"
                            android:layout_width="match_parent">

                            <TextView
                                style="@style/view_tools_line_row_title"
                                android:text="@string/frag_mark_title_on_select" />

                            <Switch
                                android:id="@+id/mark_on_select"
                                style="@style/item_layer_padding"
                                android:thumb="@drawable/switch_thumb"
                                android:track="@drawable/switch_track" />
                        </LinearLayout>

                        <View style="@style/view_split_h2" />

                        <com.cr.widget.CrButtonWidget
                            android:id="@+id/mark_delete"
                            style="@style/view_tools_line_row_button"
                            app:crLeftResource="@string/ico_delete"
                            app:crTitle="@string/frag_mark_title_on_delete" />
                    </LinearLayout>
                </ScrollView>
            </LinearLayout>
            <View style="@style/view_split_v1"/>
            <!--右侧部分-->
            <LinearLayout
                android:layout_width="@dimen/cr_80_dp"
                android:layout_height="match_parent"
                android:orientation="vertical">
                <ScrollView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">
                        <LinearLayout
                            style="@style/view_tools_line_row"
                            android:layout_width="match_parent">

                            <TextView
                                style="@style/view_tools_line_row_title"
                                android:text="@string/frag_mark_title_image"
                                android:textColor="@color/white"/>
                        </LinearLayout>

                        <ImageView
                            android:id="@+id/mark_ico"
                            android:layout_width="@dimen/cr_40_dp"
                            android:layout_height="@dimen/cr_40_dp"
                            android:scaleType="fitCenter"
                            android:src="@drawable/ico_draw_red"
                            android:layout_gravity="center"
                            android:layout_marginTop="@dimen/cr_10_dp"
                            android:layout_marginBottom="@dimen/cr_10_dp"/>

                        <View style="@style/view_split_h2" />

                        <LinearLayout
                            style="@style/view_tools_line_row"
                            android:layout_width="match_parent">

                            <TextView
                                style="@style/view_tools_line_row_title"
                                android:text="@string/frag_mark_title_rotate"
                                android:textColor="@color/white"/>
                        </LinearLayout>

                        <com.cr.view.CrViewWheel
                            android:id="@+id/mark_angle"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/cr_40_dp" />

                        <View style="@style/view_split_h2" />

                        <LinearLayout
                            style="@style/view_tools_line_row"
                            android:layout_width="match_parent">

                            <TextView
                                style="@style/view_tools_line_row_title"
                                android:text="@string/frag_mark_title_type"
                                android:textColor="@color/white"/>
                        </LinearLayout>

                        <com.cr.view.CrViewWheel
                            android:id="@+id/mark_type"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/cr_40_dp" />
                    </LinearLayout>
                </ScrollView>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>